# IceGrid::ServiceInstanceDescriptor

## Overview

### struct ServiceInstanceDescriptor

A service template instance descriptor.

#### Used By

ServiceInstanceDescriptorSeq

## Data Member Index

template
  The template used by this instance.
parameterValues
  The template parameter values.
descriptor
  The service definition if the instance isn't a template instance (i.e.: if the template attribute is empty).
propertySet
  The property set.

## Data Members

string template;

  The template used by this instance.

StringStringDict parameterValues;

  The template parameter values.

ServiceDescriptor descriptor;

  The service definition if the instance isn't a template instance (i.e.: if the template attribute is empty).

PropertySetDescriptor propertySet;

  The property set.